View Issue Details

IDProjectCategoryView StatusLast Update
0003188Composrcore_rich_mediapublic2019-06-30 20:13
ReporterChris GrahamAssigned ToChris Graham 
Severityfeature 
Status resolvedResolutionfixed 
Product Version 
Fixed in Version 
Summary0003188: Allow disabling the feature where deleted attachments automatically get put back
DescriptionIf you attach a file, then delete the Comcode reference for it, then preview (without reloading the whole editor), it comes back at the end of the post.

This is an intentionally feature for people who accidentally (or intentionally) erase attachments from the post, but do actually still want it on the end (like a normal 'attachment' might be expected to be).

Currently the feature auto-disables for simplified-attachments-UI. Make an option so you have full control of it.

I think either setting may confuse people, it's very much personal preference.
Additional InformationThis code:

            } elseif ((!browser_matches('simplified_attachments_ui')) && (strpos($comcode, ']new_' . $matches[1] . '[/attachment]') === false) && (strpos($comcode, ']new_' . $matches[1] . '[/attachment_safe]') === false)) {
                if (preg_match('#\]\d+\[/attachment\]#', $comcode) == 0) { // Attachment could have already been put through (e.g. during a preview). If we have actual ID's referenced, it's almost certainly the case.
                    $comcode .= "\n\n" . '[attachment]new_' . $matches[1] . '[/attachment]';
                }
            }
TagsRoadmap: v11
Attach Tags
Time estimation (hours)0.4
Sponsorship open

Activities

Chris Graham

2019-06-30 20:13

administrator   ~0006014

I've just removed the auto-restoration feature. I don't think anyone would really want it, especially because JS is now assumed on, there's no good reason for the attachment code to go missing without the user doing it intentionally. If it is a user-error, the user will learn.

Issue History

Date Modified Username Field Change
2017-04-05 14:13 Chris Graham New Issue
2019-06-27 18:01 Chris Graham Tag Attached: Roadmap: v11
2019-06-30 20:13 Chris Graham Assigned To => Chris Graham
2019-06-30 20:13 Chris Graham Status non-assigned => resolved
2019-06-30 20:13 Chris Graham Resolution open => fixed
2019-06-30 20:13 Chris Graham Note Added: 0006014